Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.SendingContext
Class CodeBasePOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.SendingContext.CodeBasePOA
                  |
                  +--org.omg.SendingContext.CodeBasePOATie

All Implemented Interfaces:
  CodeBaseOperations, InvokeHandler, RunTimeOperations

public class CodeBasePOATie
extends CodeBasePOA

Constructor Summary
`CodeBasePOATie(CodeBaseOperations tieObject)` Constructor
`CodeBasePOATie(CodeBaseOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`CodeBaseOperations` | `_delegate()` Get the delegate
`void` | `_delegate(CodeBaseOperations delegate_)` Set the delegate
`java.lang.String[]` | `bases(java.lang.String x)` Operation bases
`Repository` | `get_ir()` Operation get_ir
`java.lang.String` | `implementation(java.lang.String x)` Operation implementation
`java.lang.String[]` | `implementations(java.lang.String[] x)` Operation implementations
`java.lang.String` | `implementationx(java.lang.String x)` Operation implementationx
`FullValueDescription` | `meta(java.lang.String x)` Operation meta
`FullValueDescription[]` | `metas(java.lang.String[] x)` Operation metas

Methods inherited from class org.omg.SendingContext.CodeBasePOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeBasePOATie

    public CodeBasePOATie(CodeBaseOperations tieObject)

  Constructor

### CodeBasePOATie

    public CodeBasePOATie(CodeBaseOperations tieObject,
                          POA poa)

  Constructor

Method Detail

### _delegate

    public CodeBaseOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(CodeBaseOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### get_ir

    public Repository get_ir()

  Operation get_ir

### implementation

    public java.lang.String implementation(java.lang.String x)

  Operation implementation

### implementationx

    public java.lang.String implementationx(java.lang.String x)

  Operation implementationx

### implementations

    public java.lang.String[] implementations(java.lang.String[] x)

  Operation implementations

### meta

    public FullValueDescription meta(java.lang.String x)

  Operation meta

### metas

    public FullValueDescription[] metas(java.lang.String[] x)

  Operation metas

### bases

    public java.lang.String[] bases(java.lang.String x)

  Operation bases

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD